aboutsummaryrefslogtreecommitdiff
path: root/docker/arch-code-server/archlinux-setup-user.bash
diff options
context:
space:
mode:
authorcrupest <crupest@outlook.com>2022-10-31 20:14:32 +0800
committercrupest <crupest@outlook.com>2022-10-31 20:14:32 +0800
commit16bc28ac505aabd9da7dce085054a86db7904d6e (patch)
tree373c34c6cc699ddde1d09e5755666b1ae260c27c /docker/arch-code-server/archlinux-setup-user.bash
parentefdfc6feb5744d8ad4bd07e35fa8d662925e3e96 (diff)
downloadcrupest-16bc28ac505aabd9da7dce085054a86db7904d6e.tar.gz
crupest-16bc28ac505aabd9da7dce085054a86db7904d6e.tar.bz2
crupest-16bc28ac505aabd9da7dce085054a86db7904d6e.zip
...
Diffstat (limited to 'docker/arch-code-server/archlinux-setup-user.bash')
-rwxr-xr-xdocker/arch-code-server/archlinux-setup-user.bash24
1 files changed, 24 insertions, 0 deletions
diff --git a/docker/arch-code-server/archlinux-setup-user.bash b/docker/arch-code-server/archlinux-setup-user.bash
new file mode 100755
index 0000000..2b39bd2
--- /dev/null
+++ b/docker/arch-code-server/archlinux-setup-user.bash
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+
+# check if we are in docker by CRUPEST_IN_DOCKER
+if [ "${CRUPEST_IN_DOCKER}" != "true" ]; then
+ echo "This script is intended to be run in a docker container."
+ exit 1
+fi
+
+cd ~ || exit 1
+
+mkdir data
+
+mkdir aur
+cd aur || exit 1
+
+# install all aur packages
+for aur_package in ${CRUPEST_AUR_PACKAGES} ; do
+ echo "Installing ${aur_package} from AUR..."
+ git clone "https://aur.archlinux.org/${aur_package}.git" --depth 1
+ pushd "${aur_package}" || exit 1
+ makepkg -sr --noconfirm
+ makepkg --packagelist | sudo pacman -U --noconfirm -
+ popd || exit 1
+done